AbstractConfigurationBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.config.builders.AbstractConfigurationBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class AbstractConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

Direct Known Subclasses:
  AbstractResourceConfigurationBuilder, DefaultsConfigurationBuilder, SimpleConfigurationBuilder, SpringConfigurationBuilder

    public abstract class AbstractConfigurationBuilder

extends Object
implements ConfigurationBuilder

A support class for `ConfigurationBuilder` implementations that handles the logic of creating config arrays and `Properties` arguments

See Also:
  `ConfigurationBuilder`

Field Summary
`protected Log` | `logger`

Constructor Summary
`AbstractConfigurationBuilder()`

Method Summary
`protected abstract void` | `applyLifecycle(LifecycleManager lifecycleManager)`
`void` | `configure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided
`protected abstract void` | `doConfigure(MuleContext muleContext)`
`boolean` | `isConfigured()` Indicate whether this ConfigurationBulder has been configured yet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

Constructor Detail

### AbstractConfigurationBuilder

    public AbstractConfigurationBuilder()

Method Detail

### configure

    public void configure(MuleContext muleContext)
                   throws ConfigurationException

  Description copied from interface: `ConfigurationBuilder`
  Will configure a MuleContext based on the configuration provided

  Specified by:
    `configure` in interface `ConfigurationBuilder`
  Throws:
    `ConfigurationException`

### doConfigure

    protected abstract void doConfigure(MuleContext muleContext)
                                 throws Exception

  Throws:
    `Exception`

### applyLifecycle

    protected abstract void applyLifecycle(LifecycleManager lifecycleManager)
                                    throws Exception

  Throws:
    `Exception`

### isConfigured

    public boolean isConfigured()

  Description copied from interface: `ConfigurationBuilder`
  Indicate whether this ConfigurationBulder has been configured yet

  Specified by:
    `isConfigured` in interface `ConfigurationBuilder`
  Returns:
    `true` if this ConfigurationBulder has been configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.